#ifndef	___COMMON_H___
#define	___COMMON_H___

#include <jni.h>
#include <assert.h>
#include <android/log.h>
#include <android/asset_manager.h>
#include <android/asset_manager_jni.h>
#include <stdio.h>
#include <stdlib.h>
#include <math.h>


#define	FALSE	0
#define	TRUE	1

typedef char			s8;
typedef unsigned char	u8;
typedef short			s16;
typedef unsigned short	u16;
typedef long			s32;
typedef unsigned long	u32;
typedef int				Bool;

struct Rect
{
	float	x, y, w, h;
};

struct SRect
{
	short	x, y, w, h;
};

// W
enum
{
	X	= 0,
	Y,
	Z,
	XY	= 2,
	XYZ,
};

// J[
enum
{
	R	= 0,
	G,
	B,
	A,
	RGB	= 3,
	RGBA,
};

#define	RGBA(_r, _g, _b, _a)	(((u32)(_a) << 24) | ((u32)(_b) << 16) | ((u32)(_g) << 8) | (u32)(_r))
#define	RGB(_r, _g, _b)			(0xff000000 | ((u32)(_b) << 16) | ((u32)(_g) << 8) | (u32)(_r))

#include "../def.h"


#define  LOGI(...)  __android_log_print(ANDROID_LOG_INFO,  "INFO",  __VA_ARGS__)
#define  LOGE(...)  __android_log_print(ANDROID_LOG_ERROR, "ERROR", __VA_ARGS__)


namespace sys
{
extern AAssetManager*	asset_manager;					// assetǂݍݗp

void*	load_asset(const char*, u32* size = NULL);		// assett@Cǂݍ
}

#endif
/***************** End of File ***********************************/
